---
title: Clear-Site-Data
slug: Web/HTTP/Headers/Clear-Site-Data
tags:
  - HTTP
  - HTTP Header
  - Reference
  - Response Header
  - header
---
<p>{{HTTPSidebar}}</p>

<p>The <strong><code>Clear-Site-Data</code></strong> header clears browsing data (cookies, storage, cache) associated with the requesting website. It allows web developers to have more control over the data stored locally by a browser for their origins.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<p>The <code>Clear-Site-Data</code> header accepts one or more directives. If all types of data should be cleared, the wildcard directive (<code>"*"</code>) can be used.</p>

<pre class="notranslate">// Single directive
Clear-Site-Data: "cache"

// Multiple directives (comma separated)
Clear-Site-Data: "cache", "cookies"

// Wild card
Clear-Site-Data: "*"
</pre>

<h2 id="Directives">Directives</h2>

<p class="note">All directives must comply with the <a href="https://tools.ietf.org/html/rfc7230#section-3.2.6">quoted-string grammar</a>. A directive that does not include the double quotes is invalid.</p>

<dl>
 <dt id="cache"><code>"cache"</code></dt>
 <dd>Indicates that the server wishes to remove locally cached data (i.e. the browser cache, see <a href="/en-US/docs/Web/HTTP/Caching">HTTP caching</a>) for the origin of the response URL. Depending on the browser, this might also clear out things like pre-rendered pages, script caches, WebGL shader caches, or address bar suggestions.</dd>
 <dt id="cookies"><code>"cookies"</code></dt>
 <dd>Indicates that the server wishes to remove all cookies for the origin of the response URL. HTTP authentication credentials are also cleared out. This affects the entire registered domain, including subdomains. So https://example.com as well as https://stage.example.com, will have cookies cleared.</dd>
 <dt id="storage"><code>"storage"</code></dt>
 <dd>Indicates that the server wishes to remove all DOM storage for the origin of the response URL. This includes storage mechanisms such as:
 <ul>
  <li>localStorage (executes <code>localStorage.clear</code>),</li>
  <li>sessionStorage (executes <code>sessionStorage.clear</code>),</li>
  <li>IndexedDB (for each database execute {{domxref("IDBFactory.deleteDatabase")}}),</li>
  <li>Service worker registrations (for each service worker registration, execute {{domxref("ServiceWorkerRegistration.unregister")}}),</li>
  <li><a href="/en-US/docs/Web/HTML/Using_the_application_cache">AppCache,</a></li>
  <li>WebSQL databases,</li>
  <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">FileSystem API data</a>,</li>
  <li>Plugin data (Flash via <code><a href="https://wiki.mozilla.org/NPAPI:ClearSiteData">NPP_ClearSiteData</a></code>).</li>
 </ul>
 </dd>
 <dt id="executionContexts"><code>"executionContexts"</code></dt>
 <dd>Indicates that the server wishes to reload all browsing contexts for the origin of the response ({{domxref("Location.reload")}}).</dd>
 <dt><code>"*"</code> (wildcard)</dt>
 <dd>Indicates that the server wishes to clear all types of data for the origin of the response. If more data types are added in future versions of this header, they will also be covered by it.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Sign_out_of_web_site">Sign out of web site</h3>

<p>If a user signs out of your website or service, you might want to remove locally stored data. You can achieve that by adding the <code>Clear-Site-Data</code> header when sending the page confirming that logging out from the site has been accomplished successfully (https://example.com/logout, for example):</p>

<pre class="notranslate">Clear-Site-Data: "cache", "cookies", "storage", "executionContexts"</pre>

<h3 id="Clearing_cookies">Clearing cookies</h3>

<p>If this header is delivered with the response at https://example.com/clear-cookies, all cookies on the same domain https://example.com and any subdomains (like https://stage.example.com, etc), will be cleared out.</p>

<pre class="notranslate">Clear-Site-Data: "cookies"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://w3c.github.io/webappsec-clear-site-data">Clear Site Data</a></td>
   <td>Working Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Clear-Site-Data")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Cache-Control")}}</li>
</ul>
